For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Center REST API

Browse the available end points for the Ativo cloud API.

The REST endpoints below allow you to retrieve Ativo configuration data via an API token.

This page is for the Data Center API. Use Jira Cloud API instead if you are on the Jira cloud platform.

In the URL's below, replace <jira-data-center-local-url> with the actual URL of your Jira Data Center product.

The Ativo Programs API is in BETA, meaning breaking changes can occur without notification. Please keep an eye on this page for updates. Contact support in case of questions.

Team

Get the list of teams

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/ativo-programs/1.0/api/1/team
GET /rest/ativo-programs/1.0/api/1/team HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a team configuration

get
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
modestring Β· enumOptionalPossible values:
estimationstring Β· enumOptionalPossible values:
typestring Β· enumOptionalPossible values:
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/team/{id}
GET /rest/ativo-programs/1.0/api/1/team/{id} HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "mode": "SCRUM",
  "estimation": "STORY_POINTS",
  "configFilter": {
    "jiraFilterBody": {
      "id": "text"
    },
    "manualFilterBody": {
      "projects": {
        "selectionOn": "PROJECT",
        "values": [
          {
            "id": "text"
          }
        ]
      },
      "fieldFilters": [
        {
          "field": {
            "id": "text"
          },
          "values": [
            {
              "id": "text"
            }
          ],
          "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
          "operator": "IN"
        }
      ]
    },
    "filterMode": "JIRA"
  },
  "board": {
    "id": 1
  },
  "type": "BOARD",
  "isArchived": true
}

Get all team configurations

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
modestring Β· enumOptionalPossible values:
estimationstring Β· enumOptionalPossible values:
typestring Β· enumOptionalPossible values:
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/teams
GET /rest/ativo-programs/1.0/api/1/teams HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "mode": "SCRUM",
    "estimation": "STORY_POINTS",
    "configFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    },
    "board": {
      "id": 1
    },
    "type": "BOARD",
    "isArchived": true
  }
]

Program (ART)

Get the list of programs (ARTs)

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/ativo-programs/1.0/api/1/program
GET /rest/ativo-programs/1.0/api/1/program HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a program (ART) configuration

get
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/program/{id}
GET /rest/ativo-programs/1.0/api/1/program/{id} HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "combinedFilter": {
    "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
    "epicMode": "PROGRAM_EPICS_IN_FILTER",
    "epicFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    },
    "issueFilter": {
      "jiraFilterBody": {
        "id": "text"
      },
      "manualFilterBody": {
        "projects": {
          "selectionOn": "PROJECT",
          "values": [
            {
              "id": "text"
            }
          ]
        },
        "fieldFilters": [
          {
            "field": {
              "id": "text"
            },
            "values": [
              {
                "id": "text"
              }
            ],
            "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
            "operator": "IN"
          }
        ]
      },
      "filterMode": "JIRA"
    }
  },
  "teams": [
    {
      "id": 1,
      "key": "text",
      "name": "text"
    }
  ],
  "isArchived": true
}

Get all program (ART) configurations

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/programs
GET /rest/ativo-programs/1.0/api/1/programs HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "combinedFilter": {
      "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
      "epicMode": "PROGRAM_EPICS_IN_FILTER",
      "epicFilter": {
        "jiraFilterBody": {
          "id": "text"
        },
        "manualFilterBody": {
          "projects": {
            "selectionOn": "PROJECT",
            "values": [
              {
                "id": "text"
              }
            ]
          },
          "fieldFilters": [
            {
              "field": {
                "id": "text"
              },
              "values": [
                {
                  "id": "text"
                }
              ],
              "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
              "operator": "IN"
            }
          ]
        },
        "filterMode": "JIRA"
      },
      "issueFilter": {
        "jiraFilterBody": {
          "id": "text"
        },
        "manualFilterBody": {
          "projects": {
            "selectionOn": "PROJECT",
            "values": [
              {
                "id": "text"
              }
            ]
          },
          "fieldFilters": [
            {
              "field": {
                "id": "text"
              },
              "values": [
                {
                  "id": "text"
                }
              ],
              "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
              "operator": "IN"
            }
          ]
        },
        "filterMode": "JIRA"
      }
    },
    "teams": [
      {
        "id": 1,
        "key": "text",
        "name": "text"
      }
    ],
    "isArchived": true
  }
]

Period (PI)

Get the list of periods (PIs)

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
get/rest/ativo-programs/1.0/api/1/period
GET /rest/ativo-programs/1.0/api/1/period HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text"
  }
]

Get a period (PI) configuration

get
Path parameters
idinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/period/{id}
GET /rest/ativo-programs/1.0/api/1/period/{id} HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "sprints": [
    {
      "id": 1,
      "key": "text",
      "name": "text",
      "closed": true,
      "startDate": "text",
      "endDate": "text",
      "teamSprints": [
        {
          "sprintJiraId": 1,
          "teamKey": "text"
        }
      ]
    }
  ],
  "programIncrements": [
    {
      "programId": 1,
      "combinedFilter": {
        "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
        "epicMode": "PROGRAM_EPICS_IN_FILTER",
        "epicFilter": {
          "jiraFilterBody": {
            "id": "text"
          },
          "manualFilterBody": {
            "projects": {
              "selectionOn": "PROJECT",
              "values": [
                {
                  "id": "text"
                }
              ]
            },
            "fieldFilters": [
              {
                "field": {
                  "id": "text"
                },
                "values": [
                  {
                    "id": "text"
                  }
                ],
                "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                "operator": "IN"
              }
            ]
          },
          "filterMode": "JIRA"
        },
        "issueFilter": {
          "jiraFilterBody": {
            "id": "text"
          },
          "manualFilterBody": {
            "projects": {
              "selectionOn": "PROJECT",
              "values": [
                {
                  "id": "text"
                }
              ]
            },
            "fieldFilters": [
              {
                "field": {
                  "id": "text"
                },
                "values": [
                  {
                    "id": "text"
                  }
                ],
                "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                "operator": "IN"
              }
            ]
          },
          "filterMode": "JIRA"
        }
      },
      "teams": [
        {
          "id": 1,
          "key": "text",
          "name": "text"
        }
      ]
    }
  ],
  "isArchived": true
}

Get all period (PI) configurations

get
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
isArchivedbooleanOptional
get/rest/ativo-programs/1.0/api/1/periods
GET /rest/ativo-programs/1.0/api/1/periods HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

[
  {
    "id": 1,
    "key": "text",
    "name": "text",
    "sprints": [
      {
        "id": 1,
        "key": "text",
        "name": "text",
        "closed": true,
        "startDate": "text",
        "endDate": "text",
        "teamSprints": [
          {
            "sprintJiraId": 1,
            "teamKey": "text"
          }
        ]
      }
    ],
    "programIncrements": [
      {
        "programId": 1,
        "combinedFilter": {
          "mode": "PROGRAM_FILTER_EPIC_AND_ISSUES_UNDER_EPIC",
          "epicMode": "PROGRAM_EPICS_IN_FILTER",
          "epicFilter": {
            "jiraFilterBody": {
              "id": "text"
            },
            "manualFilterBody": {
              "projects": {
                "selectionOn": "PROJECT",
                "values": [
                  {
                    "id": "text"
                  }
                ]
              },
              "fieldFilters": [
                {
                  "field": {
                    "id": "text"
                  },
                  "values": [
                    {
                      "id": "text"
                    }
                  ],
                  "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                  "operator": "IN"
                }
              ]
            },
            "filterMode": "JIRA"
          },
          "issueFilter": {
            "jiraFilterBody": {
              "id": "text"
            },
            "manualFilterBody": {
              "projects": {
                "selectionOn": "PROJECT",
                "values": [
                  {
                    "id": "text"
                  }
                ]
              },
              "fieldFilters": [
                {
                  "field": {
                    "id": "text"
                  },
                  "values": [
                    {
                      "id": "text"
                    }
                  ],
                  "jqlGeneratePattern": "WHERE_FIELD_IN_VALUE_LABEL",
                  "operator": "IN"
                }
              ]
            },
            "filterMode": "JIRA"
          }
        },
        "teams": [
          {
            "id": 1,
            "key": "text",
            "name": "text"
          }
        ]
      }
    ],
    "isArchived": true
  }
]

Objectives

Get the program and team objectives for a PI

get
Path parameters
programIdinteger Β· int64Required
periodIdinteger Β· int64Required
Responses
200

OK

*/*
idinteger Β· int64Optional
keystringOptional
namestringOptional
programIdinteger Β· int64Optional
periodIdinteger Β· int64Optional
showEpicLinksbooleanOptional
get/rest/ativo-programs/1.0/api/1/objectives/{programId}/{periodId}
GET /rest/ativo-programs/1.0/api/1/objectives/{programId}/{periodId} HTTP/1.1
Host: <jira-data-center-local-url>
Accept: */*
200

OK

{
  "id": 1,
  "key": "text",
  "name": "text",
  "programId": 1,
  "periodId": 1,
  "objectives": [
    {
      "level": "PROGRAM",
      "teamId": 1,
      "commitment": "COMMITTED",
      "label": "text",
      "plannedValue": 1,
      "deliveredValue": 1,
      "epicIds": [
        "text"
      ]
    }
  ],
  "showEpicLinks": true
}

Last updated